# $Revision: 1.17 $, $Date: 2002/07/28 10:17:21 $
Summary:	A news reader that displays postings in threaded format
Summary(es):	Lector de News con Threads
Summary(pl):	Czytnik newsw wywietlajcy posty w postaci wtkw
Summary(pt_BR):	Leitor de News com Threads
Name:		trn
Version:	3.6
Release:	18
License:	distributable
Group:		Applications/News
Source0:	ftp://ftp.uu.net:/networking/news/readers/trn/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-linux.patch
Patch1:		%{name}-sigtstp.patch
Patch2:		%{name}-bool.patch
Patch3:		%{name}-time-include.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Trn is a basic news reader that supports threading. This version is
configured to read news from an NNTP news server.

%description -l es
'trn' es uno de los lectores originales de threaded news. Esta versin
est configurada para leer news de un servidor NNTP.

%description -l pl
Trn to prosty czytnik news obsugujcy wtkowanie. Ta wersja jest
skonfigurowana do pobierania artykuw z serwera NNTP.

%description -l pt_BR
'trn'  um dos leitores originais de threaded news. Esta verso 
configurada para ler news de um servidor NNTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/trn,%{_applnkdir}/Network/News}

chmod 755 filexp makedir

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/News

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README MANIFEST HINTS.TRN HACKERSGUIDE NEW
%attr(755,root,root) %{_bindir}/trn
%attr(755,root,root) %{_bindir}/newsetup
%attr(755,root,root) %{_bindir}/newsgroups
%attr(755,root,root) %{_bindir}/Pnews
%attr(755,root,root) %{_bindir}/Rnmail
%attr(755,root,root) %{_bindir}/trn-artchk
%attr(755,root,root) %{_bindir}/nntplist
%dir %{_libdir}/trn
%attr(755,root,root) %{_libdir}/trn/*
%{_mandir}/man1/trn.1*
%{_mandir}/man1/Pnews.1*
%{_mandir}/man1/Rnmail.1*
%{_mandir}/man1/newsetup.1*
%{_mandir}/man1/newsgroups.1*
%{_applnkdir}/Network/News/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: trn.spec,v $
Revision 1.17  2002/07/28 10:17:21  kloczek
- release 18.

Revision 1.16  2002/07/05 08:02:29  kloczek
- merge translations from Conectiva.

Revision 1.15  2002/07/05 07:41:44  marcus
- changed wmconfig to desktop

Revision 1.14  2002/07/05 07:20:55  marcus
- use new %%doc

Revision 1.13  2002/04/25 13:52:49  ankry
- fixed patch names

Revision 1.12  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/25 09:38:41  orzech
- cleanups

Revision 1.8  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.7  2001/07/06 10:58:49  dobrek
-added trn-time-include.patch

Revision 1.6  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 16)

* Wed Feb 10 1999 Michael Maher <mike@redhat.com>
- patched BUG #587
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

